pdbrmsd {compas} | R Documentation

## Root Mean Squared Deviation (RMSD) of Two Protein Conformations

### Description

RMSD calculation between the atoms of two PDB objects.

### Usage

    pdbrmsd(pdb1, pdb2, start, end, type='all', optimal=FALSE)

### Arguments

`pdb1` | PDB object containing reference coordinates of atoms in protein conformation.
`pdb2` | PDB object containing coordinates of atoms in protein conformation to compare with pdb1.
`start` | The starting residue position for the RMSD calculation. If not supplied, defaults to first residue of chain.
`end` | The ending residue position for the RMSD calculation. If not supplied, defaults to final residue of chain.
`type` | Specifies atoms to be included in the calculation. Can be 'all', 'CA' (CA atoms only), or 'backbone' (CA, N, C, O).
`optimal` | Apply optimal rotation and superposition? As described in https://cnx.org/contents/HV-RsdwL@23/Molecular-Distance-Measures

### Details

Similar to rmsd, but with implementation in C++.

### Value

Returns a list with calculated RMSD value and the optimal rotation matrix.

### Examples

    pdbrmsd(nat879, pred879, start=10, end=20, 'all', optimal=TRUE)

[Package compas version 0.1 Index]